%define name xdg-user-dirs
%define version 0.9
%define release %mkrel 1

Summary: XDG user dirs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.bz2
# (fc) 0.8-2mdv use locale encoding on disk, not UTF-8
Patch0: xdg-user-dirs-0.8-locale.patch
# (fc) 0.8-2mdv disable some default directories
Patch1: xdg-user-dirs-0.8-mdv.patch
# (fc) 0.8-2mdv migrate old Mdk folders
Patch3: xdg-user-dirs-0.8-mdkfolders.patch
License: GPL
Group: System/Libraries
Url: http://www.freedesktop.org/wiki/Software/xdg-user-dirs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%prep
%setup -q
%patch0 -p1 -b .locale
%patch1 -p1 -b .mdv
%patch3 -p1 -b .mdkfolders

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mkdir -p %buildroot%_sysconfdir/X11/xinit.d/
cat > %buildroot%_sysconfdir/X11/xinit.d/xdg-user-dirs-update << EOF
#!/bin/sh
if [ -x %_bindir/xdg-user-dirs-update ]; then
  %_bindir/xdg-user-dirs-update
fi
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%config(noreplace) %_sysconfdir/xdg/user-dirs.conf
%config(noreplace) %_sysconfdir/xdg/user-dirs.defaults
%attr(755,root,root) %_sysconfdir/X11/xinit.d/xdg-user-dirs-update
%_bindir/xdg-user-dir
%_bindir/xdg-user-dirs-update


%changelog
* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2008.0
+ Revision: 72503
- new version
- drop patch 2

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.8-2mdv2008.0
+ Revision: 58255
- Patch0: use locale encoding on disk, not always UTF-8
- Patch1: disable some default directories (template, public sharing)
- Patch2 (CVS): fix crashes
- Patch3: migrate old Mdk folders to the new system (directory names preserved)

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2008.0
+ Revision: 32480
- new version
- fix URL

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2008.0
+ Revision: 18327
- start from xinit.d

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
+ Revision: 13559
- Import xdg-user-dirs



* Wed Apr 11 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
- initial package
